"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMousePosition = void 0;
const react_1 = require("react");
const useMousePosition = ({ disable }) => {
    const mouseRef = (0, react_1.useRef)({
        x: 0,
        y: 0,
    });
    const recordMousePoint = (ev) => {
        mouseRef.current.x = ev.clientX;
        mouseRef.current.y = ev.clientY;
    };
    (0, react_1.useEffect)(() => {
        if (!disable) {
            document.addEventListener('mousemove', recordMousePoint, true);
        }
        return () => {
            document.removeEventListener('mousemove', recordMousePoint, true);
        };
    }, [disable]);
    return mouseRef;
};
exports.useMousePosition = useMousePosition;
